<template>
    <div>
        <NavLinks :links="links" :current="currentItemName" />

        <br />
        <router-link :to="{ name: 'AdminDump' }">{{
            textContent.nav.dump
        }}</router-link
        ><br />
        <router-link :to="{ name: 'AdminUserList' }">{{
            textContent.nav.user_list
        }}</router-link
        ><br />
        <router-view />
    </div>
</template>

<script>
import { textContent } from "@/utils/textContent";

import NavLinks from "@/components/NavLinks";
export default {
    name: "Admin",
    components: { NavLinks },
    data: () => ({ textContent }),
    computed: {
        links() {
            return [
                {
                    text: textContent.nav.general,
                    to: { name: "Welcome" },
                },
            ];
        },
        currentItemName() {
            return this.$route.name === "AdminUserList"
                ? textContent.nav.user_list
                : textContent.nav.dump;
        },
    },
};
</script>

<style scoped></style>
